# class Chef::Knife::EnvironmentShow

### Public Instance Methods

run() click to toggle source

    # File lib/chef/knife/environment_show.rb, line 34
    def run
      env_name = @name_args[0]

      if env_name.nil?
        show_usage
        ui.fatal("You must specify an environment name")
        exit 1
      end

      env = Chef::Environment.load(env_name)
      output(format_for_display(env))
    end